#include <iostream>

using namespace std;

int main()
{
    int n, l;
    cin >> n >> l;

    int h;

    int ind = -1;

    for(int i = 1; i <= n; i++){

        cin >> h;

        if(h <= l && ind == -1){

            ind = i;

            break;

        }

    }

    cout << ind;
}